<div class="body" *ngIf="researchNetwork">

  <div class="heroSection" style="grid-area: heroSection;">
    <div class="heroDetails">
      <h1><b>{{ researchNetwork.name }}</b></h1>
      <p>{{ researchNetwork.shortcut }}</p>
    </div>
    <img *ngIf="researchNetwork.logo != 'undefined'" class='logo' src="{{logoPath}}" alt="">

  </div>

  <div class="leftContent" style="grid-area: leftContent;">
    <mat-card style="padding: 10px 20px 15px 20px">
      <mat-card-title>Upcoming Events</mat-card-title>
      <div class="eventList">
        <app-event-card class="event" *ngFor="let event of researchNetwork.events" [event]="event" />
        <mat-card class="event eventCardAdd" (click)="openDialogNewEvent()">
          <button class="eventAdd" mat-mini-fab color="primary" matTooltip="Add event">
            <mat-icon>add</mat-icon>
          </button>
        </mat-card>
      </div>
    </mat-card>

    <div class="newsTop">
      <h2>News</h2>
      <button mat-raised-button color="primary" class="add" (click)="openDialogNewNews()">
        Add news
        <mat-icon>add</mat-icon>
      </button>
    </div>

    <app-news-card *ngFor="let news of researchNetwork.news" [id]="news['id']" [title]="news['title']"
      [created]="news['date']" [photo]="news['photo']" [description]="news['description']">
    </app-news-card>
  </div>

  <div class="editButtons" style="grid-area: buttons;">
    <div class="buttonContainer">
      <button class="button" mat-icon-button aria-label="Edit this network" [routerLink]="['/networks/edit/', id]">
        <mat-icon>mode_edit</mat-icon>
      </button>
      <p>Edit this network</p>
    </div>
    <div class="buttonContainer">
      <button class="button" mat-icon-button aria-label="Edit this network"
        (click)="api.deleteEntry('network', researchNetwork.id, researchNetwork.name)">
        <mat-icon>delete_forever</mat-icon>
      </button>
      <p>Delete this network</p>
    </div>
  </div>

  <mat-card class="description" style="grid-area: description;">

    <mat-card-title>Information</mat-card-title>
    <div class="blackLine"></div>
    <p class="descContent">
      {{researchNetwork.description}}
    </p>

    <mat-card-title>Research</mat-card-title>
    <div class="greyLine"></div>
    <p class="descContent">
      {{researchNetwork.research_description}}
    </p>

    <mat-card-title>Network Members</mat-card-title>
    <div class="greyLine"></div>
    <div class="networkList descContent">
      <app-title-logo-card *ngFor="let profile of researchNetwork.members" class="networkListMember"
        [link]="'/profiles/' + profile.id" [title]="profile.title" [shortcut]="profile.shortcut" [logo]="profile.logo">
      </app-title-logo-card>
    </div>

    <mat-card-title>Address</mat-card-title>
    <div class="greyLine"></div>
    <div class="addressLink descContent">
      <app-address [address]="researchNetwork.address"></app-address>
      <a
        *ngIf="researchNetwork.external_link"
        [href]="utils.sanitizeExternalLink(researchNetwork.external_link, sanitizer)"
        target="_blank"
      >
        <button mat-stroked-button>
          <p style="width: fit-content;">External website</p>
          <mat-icon>open_in_new</mat-icon>
        </button>
      </a>
    </div>

  </mat-card>
</div>
